package com.ferienclub.leisure.esb;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.mule.impl.RequestContext;
import org.mule.umo.UMOEventContext;

import com.ferienclub.custadmin.beans.CustomerPreference;
import com.ferienclub.leisure.LeisureOffer;
import com.ferienclub.leisure.esb.messages.LeisureQuery;

public class TestComponent {

	public void process(List l){
		System.out.println("\n\nTestComponent\n\n");
	}
	
	public void process(LeisureQuery query){
		System.out.println("\n\nTestComponent\n\n");
		int counter = 1;
		
		for (Iterator itor = query.getLeisureOffers().iterator(); itor.hasNext();){
			LeisureOffer o = (LeisureOffer)itor.next();
			System.out.println("Name of offer " + counter + ": " + o.getName());
			counter++;
		}
		System.out.println("someAtt=" + query.getSomeAtt());
		query.setSomeAtt("After TestComponent");
	}
	
}
